%define upstream_name    Plack-Middleware-MethodOverride
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Plack) >= 0.992.900
BuildRequires: perl(Test::Builder) >= 0.700.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description
Writing RESTful apps is a good thing, but if you're also trying to
support web browsers, you're probably going to need some hackish
workarounds. This module provides one such workaround for your Plack
applications.

Specifically, you can also use a header named X-HTTP-Method-Override (as
used by Google for its APIs) override the POST request method. Or you
can add a parameter named x-tunneled-method to your form action's query.
Either way, the overriding works only via POST requests, not GET.

If either of these attributes are available in a POST request, the
REQUEST_METHOD key of the Plack environment hash will be replaced with
its value. This allows your apps to override any HTTP method over POST.
If your application needs to know that such overriding has taken place,
the original method is stored under the plack.original_request_method
key in the Plack environment hash.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-3.mga6
+ Revision: 1032153
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 969415
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 868648
- update to 0.15

* Tue Jun 30 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 848971
- update to 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 742518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 685984
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 0.100.0-1.mga5
+ Revision: 590678
- adding missing buildrequires:
- missing %%description
- imported package perl-Plack-Middleware-MethodOverride


* Thu Feb 13 2014 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
